Loading...
Searching...
No Matches
osmium::util::DeltaDecode< TValue, TDelta > Class Template Reference

`#include <delta.hpp>`

Collaboration diagram for osmium::util::DeltaDecode< TValue, TDelta >:
[legend]

## Public Types

using | value_type = TValue
using | delta_type = TDelta

## Public Member Functions

| DeltaDecode ()
void | clear () noexcept
TValue | update (TDelta delta) noexcept
TValue | value () const noexcept

## Private Attributes

DeltaDecode value type must be some | integer
DeltaDecode delta type must be some signed | integer
TValue | m_value

## Detailed Description

template<typename TValue, typename TDelta = int64_t>
class osmium::util::DeltaDecode< TValue, TDelta >

Helper class for delta decoding.

## Member Typedef Documentation

## delta_type

template<typename TValue, typename TDelta = int64_t>

using osmium::util::DeltaDecode< TValue, TDelta >::delta_type = TDelta

## value_type

template<typename TValue, typename TDelta = int64_t>

using osmium::util::DeltaDecode< TValue, TDelta >::value_type = TValue

## Constructor & Destructor Documentation

## DeltaDecode()

template<typename TValue, typename TDelta = int64_t>

osmium::util::DeltaDecode< TValue, TDelta >::DeltaDecode | ( |  | ) |

inline

## Member Function Documentation

## clear()

template<typename TValue, typename TDelta = int64_t>

void osmium::util::DeltaDecode< TValue, TDelta >::clear | ( |  | ) |

inlinenoexcept

## update()

template<typename TValue, typename TDelta = int64_t>

TValue osmium::util::DeltaDecode< TValue, TDelta >::update | ( | TDelta | delta | ) |

inlinenoexcept

## value()

template<typename TValue, typename TDelta = int64_t>

TValue osmium::util::DeltaDecode< TValue, TDelta >::value | ( |  | ) | const

inlinenoexcept

## Member Data Documentation

## integer [1/2]

template<typename TValue, typename TDelta = int64_t>

DeltaDecode value type must be some osmium::util::DeltaDecode< TValue, TDelta >::integer

private

## integer [2/2]

template<typename TValue, typename TDelta = int64_t>

DeltaDecode delta type must be some signed osmium::util::DeltaDecode< TValue, TDelta >::integer

private

## m_value

template<typename TValue, typename TDelta = int64_t>

TValue osmium::util::DeltaDecode< TValue, TDelta >::m_value

private

The documentation for this class was generated from the following file:

- include/osmium/util/delta.hpp